package org.jeecg.modules.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.database.entity.ExperimentRadiationProcess;

import java.util.List;

/**
 * @Description: 辐照过程
 * @Author: jeecg-boot
 * @Date: 2024-10-15
 * @Version: V1.0
 */
public interface IExperimentRadiationProcessService extends IService<ExperimentRadiationProcess> {
    List<ExperimentRadiationProcess> getByExperimentId(String experimentId);

    void assembleDetails(ExperimentRadiationProcess experimentRadiationProcess);

    void saveWithDetails(ExperimentRadiationProcess experimentRadiationProcess);

    void copy(String oldId, String newExperimentId);
}
